TYPO3 Core - Feature #85991
Epic # 85990 (Closed): Extbase CommandControllers vs. Symfony/Console Integration

Allow symfony commands to be non-schedulable
2018-08-27 13:43 - Benni Mack

Status: Closed Start date: 2018-08-27

Priority: Should have Due date:

Assignee: Benni Mack % Done: 100%

Category: scheduler Estimated time: 0.00 hour

Target version: 9.4

PHP Version: Complexity:

Tags: Sprint Focus:

Description

Related issues:

Related to TYPO3 Core - Task #86089: Document scheduler tasks based on symfony Closed 2018-09-02

Associated revisions

Revision 41ac2ea9 - 2018-08-27 16:02 - Benni Mack
[FEATURE] Allow symfony commands to be non-schedulable

When registering a Symfony Command, it is now possible to
define a new option “schedulable™ which can explicitly set to false,
in order to have e.g. EXT:scheduler not show some.

This implements the functionality previously only available for
Extbase's CommandControllers.

Resolves: #85991

Releases: master

Change-Id: le2d8d3cc71d04263984a928debd257ecb88184e8
Reviewed-on: https:/review.typo3.org/58046

Reviewed-by: Mathias Brodala <mbrodala@pagemachine.de>
Tested-by: Mathias Brodala <mbrodala@pagemachine.de>
Reviewed-by: Wouter Wolters < W rwolters.nl>
Tested-by: TYPO3com <no-reply@typo3.com>

Reviewed-by: Susanne Moog <susanne.moog@typo3.org>

Tested-by: Susanne Moog < nne.m .or

History

#1 - 2018-08-27 13:55 - Gerrit Code Review

- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/58046

#2 - 2018-08-27 15:03 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/58046

#3 - 2018-08-27 15:03 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/58046

#4 - 2018-08-27 15:39 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/58046
#5 - 2018-08-27 16:30 - Benni Mack
- Status changed from Under Review to Resolved

- % Done changed from 0 to 100

Applied in changeset 41ac2ea9494cd1c7db73e4ebe96f2d7cc0917dfb.

#6 - 2018-09-02 19:26 - Anja Leichsenring
- Related to Task #86089: Document scheduler tasks based on symfony added

#7 - 2018-10-02 10:30 - Benni Mack

- Status changed from Resolved to Closed
